## python3-defaults 3.12.3-0ubuntu1

=== debian/changelog ===
python3-defaults (3.12.3-0ubuntu1) noble; urgency=medium

  * Bump version to 3.12.3
  * python3: Conflict with python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Apr 2024 15:29:24 +0200

python3-defaults (3.12.2-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:53 +0000

python3-defaults (3.12.2-0ubuntu1) noble; urgency=medium

  * Bump version to 3.12.2
  * libpython3-dbg, libpython3-all-dbg: Depend on libpython3.12t64-dbg.
  * Drop dependencies on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 04:17:15 +0100

python3-defaults (3.12.1-0ubuntu2) noble; urgency=medium

  * Remove Python 3.11 as a supported version
  * Bump hardcoded Provides: python3-supported-min to 3.12
  * Drop deprecated -utf8 and -style html2text options, see #1064737

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Feb 2024 09:15:44 +0000

python3-defaults (3.12.1-0ubuntu1) noble; urgency=medium

  * Merge from Debian unstable
  * Default to Python 3.12
  * Bump version to 3.12.1
  * Bump hardcoded Provides: python3-supported-max to 3.12

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 15:36:56 +0000

python3-defaults (3.11.6-1) unstable; urgency=medium

  * Add 3.12 as a supported Python3 version 
  * Bump version to 3.11.6.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Dec 2023 10:21:41 +0100

python3-defaults (3.11.4-5ubuntu1) noble; urgency=medium

  * Add 3.12 as a supported Python3 version 

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 30 Oct 2023 19:10:40 +0000
