## python3-defaults 3.12.3-0ubuntu2

=== debian/changelog ===
python3-defaults (3.12.3-0ubuntu2) noble; urgency=medium

  * debpython/files.py: Use LC_ALL=C.UTF-8 when calling dpkg -L to avoid
    localization issues (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 07 Aug 2024 19:44:52 +0200
