## python3-defaults 3.12.3-0ubuntu2.1

=== debian/changelog ===
python3-defaults (3.12.3-0ubuntu2.1) noble-security; urgency=medium

  * No-change rebuild into -security to fix dep issues (LP: #2127093)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Nov 2025 07:15:44 -0500
