## python3-defaults 3.12.6-0ubuntu1

=== debian/changelog ===
python3-defaults (3.12.6-0ubuntu1) oracular; urgency=medium

  * Bump version to 3.12.6

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 12:05:40 +0200

python3-defaults (3.12.5-1) unstable; urgency=medium

  * Bump version to 3.12.5
  * debpython/files.py: Set LC_ALL="C.UTF-8" before calling dpkg -L to avoid
    localization issues (LP: #2075337)
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Aug 2024 07:30:33 +0200

python3-defaults (3.12.4-1) unstable; urgency=medium

  * Bump version to 3.12.4
  * python3: Conflict with python3-distutils.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jul 2024 11:46:46 +0200

python3-defaults (3.12.3-1) unstable; urgency=medium

  * Bump version to 3.12.3
  * Drop dependencies on python3-distutils.
  * Remove Python 3.11 as a supported version.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Jul 2024 13:01:35 +0200

python3-defaults (3.12.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Migrate to html2text 2.x, which dropped the -pretty flag.
    Closes: #1064737.
  * Fix typo in py3clean manpage. Thanks JT Hundley. Closes: #1070728.

  [ Matthias Klose ]
  * Bump version.
  * Depend on libpython3.XYt64-dbg, tighten python3.12 build dependency.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Jun 2024 10:23:35 +0200

python3-defaults (3.12.1-1) experimental; urgency=medium

  * Default to Python 3.12.
  * Bump hardcoded Provides: python3-supported-max to 3.12.
  * Stop building the transitional idle3 package. Closes: #1032789.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Jan 2024 09:02:48 +0100
