=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.3-0~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
   python3.12-minimal:any,
   python3-docutils <!nodoc>,
   python3-sphinx <!nodoc>,
-  html2text <!nodoc>,
-Standards-Version: 4.6.2
+  html2text (>= 2) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.python.org/
 Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults
@@ -18,8 +18,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.12 (>= 3.12.3-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.3-0~) , python3-venv (>= ${binary:Version})
+Depends: python3.12 (>= 3.12.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.6-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.12)
 Conflicts: python3-distutils
@@ -34,7 +34,7 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.12-venv (>= 3.12.3-0~), python3 (= ${binary:Version}),
+Depends: python3.12-venv (>= 3.12.6-1~), python3 (= ${binary:Version}),
   ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
@@ -53,7 +53,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.12-minimal (>= 3.12.3-0~)
+Pre-Depends: python3.12-minimal (>= 3.12.6-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -66,7 +66,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.12-nopie (>= 3.12.3-0~), ${misc:Depends}
+  python3.12-nopie (>= 3.12.6-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -76,7 +76,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.3-0~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.6-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -88,7 +88,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.12-dev (>= 3.12.3-0~),
+  python3.12-dev (>= 3.12.6-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -105,7 +105,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.12-dev (>= 3.12.3-0~), ${misc:Depends}
+Depends: libpython3.12-dev (>= 3.12.6-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -119,7 +119,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.12-stdlib (>= 3.12.3-0~), ${misc:Depends}
+Depends: libpython3.12-stdlib (>= 3.12.6-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -140,20 +140,11 @@
  This package is a dependency package, which depends on Debian's default
  Python 3 version's IDLE (currently v3.12).
 
-Package: idle3
-Architecture: all
-Section: oldlibs
-Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
-Description: IDE for Python using Tkinter (transitional package)
- IDLE is an Integrated Development Environment for Python.
- .
- This package is a transitional package, you can safely remove it.
-
 Package: python3-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.12-doc (>= 3.12.3-0~), ${misc:Depends}
+Depends: python3.12-doc (>= 3.12.6-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -177,7 +168,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.3-0~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.6-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.12)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.12/lib-dynload/debug first.
@@ -186,7 +177,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.12t64-dbg (>= 3.12.3-0~), ${misc:Depends}
+Depends: libpython3.12t64-dbg (>= 3.12.6-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.12)
@@ -289,9 +280,14 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.12.3-0~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.12.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3
  2to3 is a Python program that reads Python 2.x source code and applies a
  series of fixers to transform it into valid Python 3.x code. The standard
+ library contains a rich set of fixers that will handle almost all code. 2to3
+ supporting library lib2to3 is, however, a flexible and generic library, so it
+ is possible to write your own fixers for 2to3. lib2to3 could also be adapted
+ to custom applications in which Python code needs to be edited automatically.
+ .
