=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.12.3-0~
+UPSTRVER   := 3.12.6-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.12.3-0~
+STDLIBVER   := 3.12.6-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.3-0~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -63,7 +63,8 @@
 	$(MAKE) -C policy singlehtml SPHINXOPTS='-D html_theme_options.nosidebar=true'
 	( \
 	    echo 'The HTML version of the Debian Python Policy can be found in the python3-dev package'; \
-	    html2text policy/_build/singlehtml/index.html; \
+	    html2text -utf8 -rcfile /usr/share/doc/html2text/examples/pretty.style \
+	    policy/_build/singlehtml/index.html; \
 	) > policy/_build/python-policy.txt
 	rm -rf policy/_build/singlehtml
 
@@ -226,7 +227,7 @@
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
 	dh_installchangelogs -i $(NOPKGS)
 
-	for p in examples idle idle3; do \
+	for p in examples idle; do \
 	  case $$p in idle*) : ;; *) p=python3-$$p; esac; \
 	  rm -rf debian/$$p/usr/share/doc/$$p; \
 	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
@@ -273,6 +274,3 @@
 
 	mkdir -p debian/python3/usr/share/python3
 	install -m 644 debian/python.mk \
-		debian/python3/usr/share/python3/
-
-	mkdir -p debian/python3/usr/share/man/man1
