=== debian/changelog ===
python3-defaults (3.12.8-1) unstable; urgency=medium

  * Bump version to 3.12.8
  * Update python3-supported-max (missed in 3.12.7-1).
  * Add a check that python3-supported-(min|max) is correct.
  * Re-enable check_versions at build time.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Dec 2024 15:15:27 -0400

python3-defaults (3.12.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Bump version to 3.12.7

  [ Stefano Rivera ]
  * Add 3.13 as a supported Python3 version.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Nov 2024 06:53:11 +0100

python3-defaults (3.12.6-1) unstable; urgency=medium

  * Bump version to 3.12.6
  * 2to3: Remove obsolete breaks/replaces.
  * Make python3 maintainer scripts more robust for runtime updates.
    LP: #2078356.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Sep 2024 17:21:13 +0200
