=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.7-1~),
   python3.12-minimal:any,
   python3-docutils <!nodoc>,
   python3-sphinx <!nodoc>,
@@ -18,10 +17,10 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.12 (>= 3.12.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.6-1~) , python3-venv (>= ${binary:Version})
+Depends: python3.12 (>= 3.12.7-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.12.7-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
-Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.12)
+Provides: python3-profiler, python3-supported-min (= 3.12), python3-supported-max (= 3.13)
 Conflicts: python3-distutils
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
@@ -34,7 +33,7 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.12-venv (>= 3.12.6-1~), python3 (= ${binary:Version}),
+Depends: python3.12-venv (>= 3.12.7-1~), python3 (= ${binary:Version}),
   ${misc:Depends}
 Description: venv module for python3 (default python3 version)
  This package contains the venv module for the Python language (default python3
@@ -53,7 +52,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.12-minimal (>= 3.12.6-1~)
+Pre-Depends: python3.12-minimal (>= 3.12.7-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -66,7 +65,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
-  python3.12-nopie (>= 3.12.6-1~), ${misc:Depends}
+  python3.12-nopie (>= 3.12.7-1~), ${misc:Depends}
 Description: Python interpreter linked without PIE (default python3 version)
  This package contains the interpreter not built as position independent
  executable. This interpreter is diverting the python3 executable, and making
@@ -76,7 +75,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.6-1~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.12-examples (>= 3.12.7-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -88,7 +87,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.12-dev (>= 3.12.6-1~),
+  python3.12-dev (>= 3.12.7-1~),
   ${misc:Depends}, ${sphinxdoc:Depends}
 Breaks: python3 (<< 3.9.2-1~)
 Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
@@ -105,7 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.12-dev (>= 3.12.6-1~), ${misc:Depends}
+Depends: libpython3.12-dev (>= 3.12.7-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -119,7 +118,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.12-stdlib (>= 3.12.6-1~), ${misc:Depends}
+Depends: libpython3.12-stdlib (>= 3.12.7-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  This package contains the majority of the standard library for the Python
  language (default python3 version).
@@ -144,7 +143,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.12-doc (>= 3.12.6-1~), ${misc:Depends}
+Depends: python3.12-doc (>= 3.12.7-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -168,7 +167,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.6-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.12-dbg (>= 3.12.7-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.12)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.12/lib-dynload/debug first.
@@ -177,7 +176,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.12t64-dbg (>= 3.12.6-1~), ${misc:Depends}
+Depends: libpython3.12t64-dbg (>= 3.12.7-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.12)
@@ -190,9 +189,11 @@
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
  python3.12,
+ python3.13,
 Description: package depending on all supported Python 3 runtime versions
- The package currently depends on python3.12, in the future, dependencies on
- jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12 and python3.13. In the future,
+ dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
+ be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 runtimes.
@@ -206,9 +207,11 @@
  python3-dev (= ${binary:Version}),
  ${misc:Depends},
  python3.12-dev,
+ python3.13-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on python3.12-dev, in the future, dependencies
- on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12-dev and python3.13-dev. In the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python for
+ Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 development
@@ -224,9 +227,11 @@
  python3-dbg (= ${binary:Version}),
  ${misc:Depends},
  python3.12-dbg,
+ python3.13-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on python3.12-dbg, in the future, dependencies
- on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12-dbg and python3.13-dbg. In the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python for
+ Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
@@ -239,9 +244,11 @@
  python3-venv (= ${binary:Version}),
  ${misc:Depends},
  python3.12-venv,
+ python3.13-venv,
 Description: package depending on all supported Python 3 venv modules
- The package currently depends on python3.12-venv, in the future, dependencies
- on jython (Python for a JVM) and ironpython (Python for Mono) may be added.
+ The package currently depends on python3.12-venv and python3.13-venv. In the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python for
+ Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 venv packages.
@@ -253,10 +260,11 @@
 Depends: libpython3-dev (= ${binary:Version}),
  ${misc:Depends},
  libpython3.12-dev,
+ libpython3.13-dev,
 Description: package depending on all supported Python 3 development packages
- The package currently depends on libpython3.12-dev, in the future,
- dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
- be added.
+ The package currently depends on libpython3.12-dev and libpython3.13-dev. In
+ the future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 development
@@ -269,10 +277,11 @@
 Depends: libpython3-dbg (= ${binary:Version}),
  ${misc:Depends},
  libpython3.12t64-dbg,
+ libpython3.13-dbg,
 Description: package depending on all supported Python 3 debugging packages
- The package currently depends on libpython3.12-dbg, in the future,
- dependencies on jython (Python for a JVM) and ironpython (Python for Mono) may
- be added.
+ The package currently depends on libpython3.12-dbg and libpython3.13-dbg. In
+ the future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
  .
  This package is a dependency package used as a build dependency for other
  packages to avoid hardcoded dependencies on specific Python 3 debug packages.
@@ -280,14 +289,10 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.12.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
-Breaks: python (<< 2.7.14-4)
-Replaces: python (<< 2.7.14-4)
+Depends: python3-lib2to3 (>= 3.12.7-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Description: 2to3 binary using python3
  2to3 is a Python program that reads Python 2.x source code and applies a
  series of fixers to transform it into valid Python 3.x code. The standard
  library contains a rich set of fixers that will handle almost all code. 2to3
  supporting library lib2to3 is, however, a flexible and generic library, so it
  is possible to write your own fixers for 2to3. lib2to3 could also be adapted
- to custom applications in which Python code needs to be edited automatically.
- .
