=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 distrelease  := $(shell . /etc/os-release; echo $$VERSION_CODENAME)
 
 # required python3.x version
-UPSTRVER   := 3.12.6-1~
+UPSTRVER   := 3.12.7-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.12.6-1~
+STDLIBVER   := 3.12.7-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.6-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.12:any (>= 3.12.7-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -176,7 +176,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
-	#make check_versions
+	make check_versions
 	DESTDIR=debian/python3 PREFIX=/usr make install-dev
 	DESTDIR=debian/python3-minimal PREFIX=/usr make install-runtime
 ifeq ($(with_doc),yes)
